%define anolis_release 1
%global pypi_name motmetrics
%global pypi_version 1.4.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        a Python implementation of metrics for benchmarking multiple object trackers (MOT)

License:        MIT
URL:            https://github.com/cheind/py-motmetrics
Source0:        https://github.com/cheind/py-motmetrics/archive/refs/tags/v1.4.0.tar.gz#/py-motmetrics-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(numpy) >= 1.12.1
BuildRequires:  python3dist(pandas) >= 0.23.1
BuildRequires:  python3dist(scipy) >= 0.19.0
BuildRequires:  python3dist(xmltodict) >= 0.12.0
BuildRequires:  pytest

%description
The py-motmetrics library provides a Python implementation of metrics for benchmarking 
multiple object trackers (MOT).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(numpy) >= 1.12.1
Requires:       python3dist(pandas) >= 0.23.1
Requires:       python3dist(scipy) >= 0.19.0
Requires:       python3dist(xmltodict) >= 0.12.0

%description -n python3-%{pypi_name}
The py-motmetrics library provides a Python implementation of metrics for benchmarking 
multiple object trackers (MOT).

%prep
%autosetup -n py-motmetrics-%{pypi_version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc Readme.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Oct 26 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 1.4.0-1
- Initial package.
